Subject: Re: [PATCH v4] gitk: Add a "Copy commit summary" command

From: Beat Bolli <[email-masked]>
Date: Thu, 13 Aug 2015 21:02:33 +0200

On 13.08.15 09:37, Paul Mackerras wrote:
> On Sat, Jul 18, 2015 at 01:15:39PM +0200, Beat Bolli wrote:
>> When referring to earlier commits in commit messages or other text, one
>> of the established formats is
>>
>>     <abbrev-sha> ("<summary>", <author-date>)
>>
>> Add a "Copy commit summary" command to the context menu that puts this
>> text for the currently selected commit on the clipboard. This makes it
>> easy for our users to create well-formatted commit references.
>>
>> The <abbrev-sha> is produced with the %h format specifier to make it
>> unique. Its length can be controlled with the gitk preference
>> "Auto-select SHA1 (length)", or, if this preference is set to its
>> default value (40), with the Git config setting core.abbrev.
>>
>> Signed-off-by: Beat Bolli <[email-masked]>
> 
> Thanks, applied.
> 
Please also apply the follow-up patch in this thread [1]. It fixes menu
entry numbers that were changed by this patch.

Thanks,
Beat

[1] http://article.gmane.org/gmane.comp.version-control.git/275729